%global qt_module qtfeedback

%global __brp_remove_la_files %nil

Summary: Qt5 Tactile Feedback
Name:    qt5-qtfeedback
Version: 20180903gita14bd0b
Release:    2%{?dist}

License: GPLv2+ and LGPLv3 and FDL
Url:     https://code.qt.io/cgit/qt/qtfeedback.git/
Source0: %{qt_module}-%{version}.tar.gz


BuildRequires: gcc-c++
BuildRequires: make

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel

%description
Qt5 tactile feedback libraries. This enables capabilities like vibrator feedback
for virtual keyboards.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: qt5-qtbase-devel
%description devel
%{summary}.


%prep
%autosetup -n %{qt_module}-%{version} -p1
touch .git # To make sure syncqt is used

%build
%{qmake_qt5} \
  CONFIG+=package multimedia_disabled=yes immersion_enabled=no meegotouchfeedback_enabled=no

%make_build

%install
make install INSTALL_ROOT=%{buildroot}
%if 0%{?flatpak}
mv %{buildroot}/usr %{buildroot}%{_prefix}
sed -i -e "\|^libdir=|s|/usr/%{_lib}|%{_libdir}|" %{buildroot}%{_qt5_libdir}/*.la
sed -i -e "\|^prefix=|s|/usr|%{_prefix}|" %{buildroot}%{_qt5_libdir}/pkgconfig/*.pc
sed -i -e "\|^[^\#]|s|/usr|%{_prefix}|" %{buildroot}%{_qt5_libdir}/cmake/*/*.cmake
%endif


%files
%license LICENSE* LGPL_EXCEPTION.txt
%{_qt5_libdir}/libQt5Feedback.so.*
%{_qt5_libdir}/qt5/qml/QtFeedback/*

%files devel
%{_qt5_libdir}/libQt5Feedback.so
%{_qt5_libdir}/libQt5Feedback.prl
%{_qt5_libdir}/libQt5Feedback.la
%{_qt5_libdir}/pkgconfig/Qt5Feedback.pc
%{_qt5_includedir}/QtFeedback/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_feedback*.pri
%{_qt5_libdir}/cmake/Qt5Feedback/*.cmake

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 20180903gita14bd0b-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20180903gita14bd0b-1
- initial build
